package net{
  import events.ContentEvent;
  
  import flash.events.ErrorEvent;
  import flash.events.Event;
  import flash.events.EventDispatcher;
  import flash.events.IOErrorEvent;
  import flash.events.SecurityErrorEvent;
  import flash.net.URLLoader;
  import flash.net.URLRequest;
  
  import mx.collections.ArrayCollection;
  
  [Event(name="dataBack", type="events.ContentEvent")]
  [Event(name="dataError", type="events.ContentEvent")]
  public class DataLoader extends EventDispatcher{
    protected var _loader:URLLoader;
    
    public function DataLoader(){
      super();
      
      _loader = new URLLoader();
      _loader.addEventListener(Event.COMPLETE, onComplete);
      _loader.addEventListener(IOErrorEvent.IO_ERROR, onError);
      _loader.addEventListener(SecurityErrorEvent.SECURITY_ERROR, onError);
    }
    
    public function load(url:String):void{
      _loader.load(new URLRequest(url));
    }
    
    protected function onComplete(event:Event):void{
      var users:ArrayCollection = new ArrayCollection();
      for each(var user:XML in XML(_loader.data).user){
        users.addItem(user.@name + " - " + user.@site);
      }
      
      var ev:ContentEvent = new ContentEvent(ContentEvent.DATA_BACK);
      ev.users = users;
      dispatchEvent(ev);
    }
    
    protected function onError(event:ErrorEvent):void{
      var ev:ContentEvent = new ContentEvent(ContentEvent.DATA_ERROR);
      ev.error = event.text;
      dispatchEvent(ev);
    }
  }
}